All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::detail::ResultDataSmall< NumericT > Struct Template Reference

In this class the data of the result for small matrices is stored. More...

`#include <structs.hpp>`

## Public Member Functions

| ResultDataSmall (const unsigned int mat_size)
| Initialize variables and memory for the result for small matrices. More...

## Public Attributes

std::vector< NumericT > | std_eigenvalues
| eigenvalues (host side) More...
viennacl::vector< NumericT > | vcl_g_left
| left interval limits at the end of the computation More...
viennacl::vector< NumericT > | vcl_g_right
| right interval limits at the end of the computation More...
viennacl::vector< unsigned int > | vcl_g_left_count
| number of eigenvalues smaller than the left interval limit More...
viennacl::vector< unsigned int > | vcl_g_right_count
| number of eigenvalues bigger than the right interval limit More...

## Detailed Description

### template<typename NumericT>
struct viennacl::linalg::detail::ResultDataSmall< NumericT >

In this class the data of the result for small matrices is stored.

Definition at line 96 of file structs.hpp.

## Constructor & Destructor Documentation

template<typename NumericT>

viennacl::linalg::detail::ResultDataSmall< NumericT >::ResultDataSmall | ( | const unsigned int | mat_size | ) |

inline

Initialize variables and memory for the result for small matrices.

Definition at line 113 of file structs.hpp.

## Member Data Documentation

template<typename NumericT>

std::vector<NumericT> viennacl::linalg::detail::ResultDataSmall< NumericT >::std_eigenvalues

eigenvalues (host side)

Definition at line 99 of file structs.hpp.

template<typename NumericT>

viennacl::vector<NumericT> viennacl::linalg::detail::ResultDataSmall< NumericT >::vcl_g_left

left interval limits at the end of the computation

Definition at line 101 of file structs.hpp.

template<typename NumericT>

viennacl::vector<unsigned int> viennacl::linalg::detail::ResultDataSmall< NumericT >::vcl_g_left_count

number of eigenvalues smaller than the left interval limit

Definition at line 105 of file structs.hpp.

template<typename NumericT>

viennacl::vector<NumericT> viennacl::linalg::detail::ResultDataSmall< NumericT >::vcl_g_right

right interval limits at the end of the computation

Definition at line 103 of file structs.hpp.

template<typename NumericT>

viennacl::vector<unsigned int> viennacl::linalg::detail::ResultDataSmall< NumericT >::vcl_g_right_count

number of eigenvalues bigger than the right interval limit

Definition at line 107 of file structs.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/detail/bisect/structs.hpp